package asm.accessors;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.client.network.ClientPlayerEntity;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Accessor;

@Environment(EnvType.CLIENT)
@Mixin({ClientPlayerEntity.class})
public interface IClientPlayerEntity {
   @Accessor("ticksSinceLastPositionPacketSent")
   void setTicksSinceLastPositionPacketSent(int i);

   @Accessor("lastYaw")
   float getLastYaw();

   @Accessor("lastYaw")
   void setLastYaw(float f);

   @Accessor("lastPitch")
   float getLastPitch();

   @Accessor("lastPitch")
   void setLastPitch(float f);
}
